Skip to main content
GET
/
v3
/
import-templates
/
{import_template_id}
cURL
curl --request GET \
  --url https://api.ctrl-hub.com/v3/import-templates/{import_template_id} \
  --header 'X-Session-Token: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "property_id_source": "uprn",
      "supply_type_mode": "fixed",
      "import_type": "meters",
      "name": "<string>",
      "column_headers": [
        "<string>"
      ],
      "uprn_column": "<string>",
      "fixed_supply_type": "<string>",
      "meter_duplicate_strategy": "create",
      "address_columns": [
        "<string>"
      ],
      "supply_identifier_column": "<string>",
      "serial_number_column": "<string>",
      "supply_type_column": "<string>",
      "supply_type_value_mapping": {},
      "meter_extra_info_rules": [
        {
          "type": "global",
          "display_name": "<string>",
          "field": "<string>",
          "value_source": "static",
          "value": "<string>",
          "column": "<string>",
          "match_values": [
            "<string>"
          ]
        }
      ],
      "psr_extra_info_rules": [
        {
          "type": "global",
          "display_name": "<string>",
          "field": "<string>",
          "value_source": "static",
          "value": "<string>",
          "column": "<string>",
          "match_values": [
            "<string>"
          ]
        }
      ],
      "psr_detection_mode": "every_row",
      "psr_column": "<string>",
      "psr_column_value": "<string>",
      "psr_duplicate_strategy": "create",
      "psr_priority_mode": "fixed",
      "psr_priority_static": 123,
      "psr_priority_column": "<string>"
    },
    "meta": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  }
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

import_template_id
string<uuid>
required

The unique identifier for the import template.

Response

Get an import template.

JSON API response object

data
object
required

An import template

jsonapi
object
required